#ifndef RECEIPTLOADFORM_H
#define RECEIPTLOADFORM_H

#include <QDialog>
#include "data/voucher.h"
#include <autotablemodel.h>

namespace Ui {
class ReceiptLoadForm;
}

class ReceiptLoadForm : public QDialog
{
    Q_OBJECT

public:
    explicit ReceiptLoadForm(QWidget *parent = 0);
    ~ReceiptLoadForm();
    QList<VoucherItemPtr> selectedItems();
    VoucherPtr selectedVoucher();

private slots:
    void on_lineEdit_textChanged(const QString &text);

private:
    Ui::ReceiptLoadForm *ui;
    AutoTableModel<Voucher> *m_voucherModel;
    AutoTableModel<VoucherItem> *m_itemModel;
};

#endif // RECEIPTLOADFORM_H
